/* stylelint-disable scale-unlimited/declaration-strict-value, scss/media-feature-value-dollar-variable */
/*
 * This stylesheet is part of the Amplitude experiment.
 * It was temporarily created to support grouping cart items
 * based on the delivery liner and updating the delivery display.
 *
 * This file will be removed once the Amplitude experiment is completed,
 * and the styling will then be implemented using the proper approach.
 */
[class^=js-estimated_delivery_date-wrapper] {
    height: 0;
    visibility: hidden;
}

.js-cart-bundle-body-preordered [class^=js-estimated_delivery_date-wrapper] {
    height: auto !important;
    overflow: visible !important;
    visibility: visible !important;
}

.grouped-delivery-message {
    padding: 0;
}

.product_card-footer {
    margin-top: 12px;
}

.order_recap .product_card {
    padding: 20px 0 !important;
}

.shipping_method-estimated_delivery .shipping_method-delivery_date {
    opacity: 0;
}

.shipping_method-estimated_delivery .shipping_method-delivery_label {
    opacity: 0;
}

.cart_bundle-body .js-product-card-container {
    position: relative;
    border-bottom: solid 1px #f0f0f0;
}

.gift_packaging-heading {
    padding: 0;
}

.gift-packaging-description {
    padding-top: 20px;
}

.cart_bundle-body .js-product-card-container:last-child .product_card::after {
    content: unset;
}

.cart_bundle-body .js-product-card-container.no-border .product_card::after {
    content: none;
}

.gift_packaging {
    padding-top: 0;
}

.js-order-summary.order-summary .js-product-card-container .product_card::after {
    content: "";
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 2px;
    background: #f0f0f0;
}

.js-order-summary.order-summary .js-product-card-container:last-of-type .product_card::after {
    content: unset;
}

.js-order-summary .cart-product_tile_container.no-border::after {
    content: "";
    position: absolute;
    right: 0;
    left: 0;
    width: 90%;
    height: 2px;
    margin: 0 auto;
    border-bottom: solid 2px #f0f0f0;
}

.js-order-summary.order-summary .grouped-delivery-message {
    margin: 16px 20px 0;
}

.js-order-summary.order-summary .grouped-delivery-message .estimated_delivery_date {
    align-items: baseline !important;
    color: #666;
    line-height: 1;
}
.js-order-summary.order-summary .grouped-delivery-message .estimated_delivery_date .order_recap-delivery_icon {
    margin-bottom: 0;
}

.cart_bundle .product_card {
    padding-bottom: 20px !important;
}

.cart_bundle-body .js-product-card-container:last-child .product_card {
    padding-bottom: 30px !important;
}

.cart_bundle:last-child {
    margin-bottom: 30px;
}

.cart_bundle-body .js-product-card-container .product_card-attributes {
    margin-bottom: 0;
}

.order_recap-delivery_msg {
    display: none !important;
}

.cart_bundle-body .js-product-card-container:nth-last-child(1) {
    border-bottom: 0;
}

@media (max-width: 1279px) {
    .js-cart-bundle-key {
        border: none !important;
    }

    .cart_bundle-body {
        margin: 0 -20px;
    }

    .table_product_label-items {
        display: none;
    }

    .js-order-summary.order-summary .grouped-delivery-message {
        margin: 20px 0 0;
    }

    .order_recap-collapse {
        border-bottom: 0;
    }

    .cart_bundle:last-child {
        margin-bottom: 0;
    }
}
